# GET Session Data

```
https://openapi.paveapi.com/v1/sessions/:session_key
```

Replace **`:session_key`** with the unique **`session_key`** returned from your previous request, and PAVE will return the corresponding session information. information.

| Path Parameters   |        |                                                                |
| ----------------- | ------ | -------------------------------------------------------------- |
| **`session_key`** | string | Unique session\_key generated when the new session was created |

| Headers             |        |                                                    |
| ------------------- | ------ | -------------------------------------------------- |
| **`API-Key`**       | string | The API-Key that was provided for your account     |
| **`API-Token`**     | string | The API-Token used when the session was created    |
| **`API-Timestamp`** | string | UTC Datetime string, example: 2021-05-30T12:49:19Z |

#### **Sample** Response (**200: Ok)**

```
{
    "session_key": "XXX-ABCDE12345",
    "theme": "PRO",
    "active": true,
    "status": "COMPLETE",
    "redirect_url": "https://dev.paveinspect.com/valet/XXX-ABCDE12345/?l=en",
    "inspect_started_at": "2021-05-25T11:51:49.000000Z",
    "inspect_ended_at": "2021-05-25T11:56:05.000000Z",
    "created_at": "2021-05-25T11:50:49.000000Z",
    "updated_at": "2021-05-25T11:59:20.000000Z",
    "language": "EN",
    "options": {
        "client_id": "SOUTH234889",
        "sms": {
            "to": "647-455-XXXX",
            "to_name": "Jane Smith",
            "from": "647-422-XXXX",
            "by": "Steve's Test Dealer",
        }
    },
    "vehicle": {
            "vehicle_id": 19880,
            "vin": "5N1AT2MV0HCXXXXXX",
            "year": 2017,
            "make": "Nissan",
            "model": "Rogue",
            "body_type": "Wagon 4 Dr.",
            "trim": "AWD 4dr S *Ltd Avail*",
            "transmission": "AUTOMATIC",
            "drivetrain": "All Wheel Drive",
            "engine_type": "4 Cylinder Engine",
            "fuel_type": "Gasoline Fuel",
            "ext_col": "Glacier White",
            "int_col": "Black",
            "odom_reading": "100,945",
            "odom_unit": "KILOMETRES"
        }
}
```

#### **Sample Response** (**404: Not Found)**

Session not successfully retrieved

```
{
    "message": "Session :session_key cannot be found."
}
```

#### Vehicle Object

| Attribute          | Type    | Description                                                        |
| ------------------ | ------- | ------------------------------------------------------------------ |
| **`vehicle_id`**   | integer | PAVE system ID for vehicle                                         |
| **`vin`**          | string  | The VIN inputted or extracted for the session                      |
| **`year`**         | integer | The Year of the vehicle                                            |
| **`make`**         | string  | The Make of the vehicle                                            |
| **`model`**        | string  | The Model of the vehicle                                           |
| **`body_type`**    | string  | The vehicle's body type                                            |
| **`trim`**         | string  | The Trim detected of the vehicle                                   |
| **`transmission`** | string  | The Transmission detected for the vehicle                          |
| **`drivetrain`**   | string  | The Drivetrain of the vehicle                                      |
| **`engine_type`**  | string  | The Engine Type of the vehicle                                     |
| **`fuel_type`**    | string  | The Fuel Type of the vehicle                                       |
| **`ext_col`**      | string  | The Exterior Color detected of the vehicle                         |
| **`int_col`**      | string  | The Interior Color detected of the vehicle                         |
| **`odom_reading`** | integer | The Odometer Reading inputted or extracted for the session         |
| **`odom_unit`**    | string  | The Odometer unit of measure inputted or extracted for the session |

Vehicle data may not appear if the User has not yet captured their VIN and no VIN look-up information is found.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.paveapi.com/integrations/developer-docs/sessions-1/retrieve-a-session-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
